Bug 13562 - man page vfs_linux_xfs_sgid fails lexgrog(1) scan
man page vfs_linux_xfs_sgid fails lexgrog(1) scan
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.8.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-06 15:42 UTC by jstephen
Modified: 2018-08-14 11:20 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.9 (1.30 KB, patch)
2018-08-09 06:31 UTC, Andreas Schneider
asn: review? (jra)
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jstephen 2018-08-06 15:42:58 UTC
This specific vfs_linux_xfs_sgid(8) man page fails the header information parsing

lexgrog /usr/share/man/man8/vfs_linux_xfs_sgid.8.gz
/usr/share/man/man8/vfs_linux_xfs_sgid.8.gz: parse failed

The description is missing in the NAME subheader:

.SH "NAME"
vfs_linux_xfs_sgid
Comment 1 Andreas Schneider 2018-08-09 06:31:54 UTC
Created attachment 14402 [details]
patch for 4.9
Comment 2 Alexander Bokovoy 2018-08-09 06:50:05 UTC
Comment on attachment 14402 [details]
patch for 4.9

LGTM
Comment 3 Andreas Schneider 2018-08-09 09:58:55 UTC
Karolin, please add the patch to 4.9. Thanks!
Comment 4 Karolin Seeger 2018-08-13 10:54:15 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-9-test.
Comment 5 Karolin Seeger 2018-08-14 11:20:39 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-9-test.
Closing out bug report.

Thanks!